Subject: bug#70241: hyperbole error when running guix-emacs-autoload-packages

From: Christopher Howard <[email-masked]>
Date: Sat, 6 Apr 2024 08:46:39 -0800

I sometimes like to use Emacs command guix-emacs-autoload-packages as a way to discover newly installed packages without restarting Emacs. But lately I've been getting an error from the hyperbole package when I run this command. I'm not sure if it is a problem with the hyperbole guix package, or hyperbole itself, or the guix-emacs-autoload-packages command. Here are steps for reproducing the error:

```
emacs -q
M-x hyperbole RET
C-g
M-x guix-emacs-autoload-packages RET
```

Emacs then gives this error in the minibuffer and *Messages* buffer:

> guix-emacs-find-autoloads: Opening directory: No such file or directory, /gnu/store/nnla9g1p8g5x0x6v4amwxf8lsahsapwr-emacs-hyperbole-9.0.1/share/emacs/site-lisp/hyperbole-9.0.1/test

Here is my system information:

```
christopher@theoden 
------------------- 
OS: Guix System x86_64 
Host: OptiPlex 9020 00 
Kernel: 6.7.11-gnu 
Uptime: 1 day, 18 hours, 29 mins 
Packages: 165 (guix-system), 251 (guix-user) 
Shell: bash 5.1.16 
Resolution: 1920x1080 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: shepherd 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
GPU: Intel HD Graphics 
Memory: 3310MiB / 7863MiB 
```

``` guix describe
Generation 65	Apr 06 2024 07:51:36	(current)
  guix ab3731d
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: ab3731d255ff1ac8d6874bc0f68ad94f21f08e79
```

``` Emacs version
"GNU Emacs 29.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.41, cairo version 1.16.0)"
```

``` guix show emacs-hyperbole | recsel -p version
version: 9.0.1
```

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ